Subject: Re: [RFC] powerpc: add support for new hcall H_BEST_ENERGY

From: Vaidyanathan Srinivasan <[email-masked]>
Date: Wed, 10 Mar 2010 10:00:02 +0530

* Dipankar Sarma <[email-masked]> [2010-03-09 00:58:26]:

> On Mon, Mar 08, 2010 at 12:20:06PM +0530, Vaidyanathan Srinivasan wrote:
> > * Dipankar Sarma <[email-masked]> [2010-03-06 00:48:11]:
> > 
> > > Shouldn't we create this only for supported platforms ?
> > 
> > Hi Dipankar,
> > 
> > Yes we will need a check like
> > firmware_has_feature(FW_FEATURE_BEST_ENERGY) to avoid sysfs files in
> > unsupported platforms.  I will add that check in the next iteration.
> 
> Also, given that this module isn't likely to provide anything on
> older platforms, it should get loaded only on newer platforms.

Yes, I will explore methods to achieve this.  I could not yet find
a trigger to load modules based on firmware feature.

--Vaidy